Bug 34098 - sylpheed: не работает проверка SSL сертификатов
: sylpheed: не работает проверка SSL сертификатов
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/sylpheed)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
: patch
:
:
  Show dependency tree
 
Reported: 2017-10-30 19:54 by
Modified: 2017-11-03 14:11 (History)


Attachments
sylpheed-3.6.0-alt-certdir.patch (398 bytes, patch)
2017-10-30 19:54, Andrew Savchenko
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2017-10-30 19:54:20
Created an attachment (id=7250) [details]
sylpheed-3.6.0-alt-certdir.patch

При установлении SSL/TLS соединения с сервером, возникает ошибка проверки
сертификата (баг проявляется как в 3.6.0, так и в более ранних версиях).
Пример:

The SSL certificate of pop.gmail.com cannot be verified by the following
reason:
  unable to get local issuer certificate

Subject: /C=US/ST=California/L=Mountain View/O=Google Inc/CN=pop.gmail.com
Issuer: /C=US/O=Google Inc/CN=Google Internet Authority G2
Issued date: Oct 17 10:18:24 2017 GMT
Expire date: Dec 29 00:00:00 2017 GMT

SHA1 fingerprint: E1:7D:37:37:17:3E:AE:3C:E6:F7:1E:44:1E:F2:BF:0E:93:3A:68:92
MD5 fingerprint: B4:59:E7:91:3A:CE:31:44:27:DA:5C:3D:A6:27:8C:98


Исследование проблемы показало, что sylpheed ищет бандл с сертификатами в
/etc/ssl/certs, /etc/ssl и /etc. В альте же он лежит в
/usr/share/ca-certificates (и симлинк с /etc/pki/tls/certs). Прилагаю патч с
исправлением, у меня работает нормально. Возможно, стоит отправить в апстрим.
------- Comment #1 From 2017-10-30 21:28:57 -------
Для удобства сделал git-репозиторий с новым резилом alt0.2 здесь:
http://git.altlinux.org/people/bircoph/packages/sylpheed.git

Собралось на сборочнице и работает без проблем.
------- Comment #2 From 2017-11-02 22:52:17 -------
sylpheed - a GTK+ based, lightweight, and fast e-mail client
* Tue Oct 31 2017 Ilya Mashkin <oddity@altlinux> 3.6.0-alt0.2
- Fix bug 34098: wrong search path for root certificates.  Thanks to Andrew
Savchenko

PS 2 oddity@: строчка вроде ... (closes: #34098) закрыла бы баг автоматом :)
http://www.altlinux.org/Руководство_по_написанию_changelog
------- Comment #3 From 2017-11-03 14:11:50 -------
Отправил патч в апстрим:
http://sylpheed.sraoss.jp/redmine/issues/282